cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/shipping_profiles/241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"shipping_profile": {
"description": "Flat rate for all orders"
}
}'from exsited import build_client
client = build_client()
response = client.settings.update_settings_shipping_profile(
"241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{"shipping_profile": {"description": "Flat rate for all orders"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.updateSettingsShippingProfile('241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
shipping_profile: {description: 'Flat rate for all orders'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->updateSettingsShippingProfile('241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', [
'shipping_profile' => ['description' => 'Flat rate for all orders'],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.settings().updateSettingsShippingProfile(
"241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of("shipping_profile", Map.of("description", "Flat rate for all orders")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.UpdateSettingsShippingProfileAsync(
"241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["shipping_profile"] = new Dictionary<string, object?>
{
["description"] = "Flat rate for all orders",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.updateSettingsShippingProfile(
'241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'shipping_profile': {'description': 'Flat rate for all orders'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().UpdateSettingsShippingProfile(context.Background(), "241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"shipping_profile": map[string]any{"description": "Flat rate for all orders"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Instance settings
Update a shipping profile
Changes the fields you send on a shipping profile.
PATCH
/
settings
/
shipping_profiles
/
{shipping_profile_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/shipping_profiles/241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"shipping_profile": {
"description": "Flat rate for all orders"
}
}'from exsited import build_client
client = build_client()
response = client.settings.update_settings_shipping_profile(
"241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{"shipping_profile": {"description": "Flat rate for all orders"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.updateSettingsShippingProfile('241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
shipping_profile: {description: 'Flat rate for all orders'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->updateSettingsShippingProfile('241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', [
'shipping_profile' => ['description' => 'Flat rate for all orders'],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.settings().updateSettingsShippingProfile(
"241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of("shipping_profile", Map.of("description", "Flat rate for all orders")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.UpdateSettingsShippingProfileAsync(
"241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["shipping_profile"] = new Dictionary<string, object?>
{
["description"] = "Flat rate for all orders",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.updateSettingsShippingProfile(
'241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'shipping_profile': {'description': 'Flat rate for all orders'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().UpdateSettingsShippingProfile(context.Background(), "241b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"shipping_profile": map[string]any{"description": "Flat rate for all orders"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send the fields to change under
shipping_profile, such as description.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The shipping profile's id, as a listing or a create returns it.
Body
application/json
Show child attributes
Show child attributes
Response
200
The shipping profile is updated.